gist.hh File Reference
`#include <gecode/kernel.hh>`
`#include <gecode/search.hh>`
`#include <gecode/int.hh>`
`#include <gecode/set.hh>`
`#include <gecode/float.hh>`
`#include <gecode/support/auto-link.hpp>`
`#include <string>`
`#include <sstream>`
`#include <gecode/gist/gist.hpp>`

Go to the source code of this file.

## Classes

class | Gecode::Gist::Inspector
| Abstract base class for inspectors. More...
class | Gecode::Gist::Comparator
| Abstract base class for comparators. More...
class | Gecode::Gist::TextOutput
| An window for simple text output. More...
class | Gecode::Gist::Print< S >
| An inspector for printing simple text output. More...
class | Gecode::Gist::VarComparator< S >
| A simple comparator. More...
class | Gecode::Gist::Options
| Options for Gist More...
class | Gecode::Gist::Options::_I
| Helper class storing inspectors. More...

## Namespaces

namespace | Gecode
| Gecode toplevel namespace
namespace | Gecode::Gist
| The Gecode Interactive Search Tool.

## Macros

#define | GECODE_GIST_EXPORT
#define | GECODE_LIBRARY_NAME "Gist"

## Functions

void | Gecode::Gist::stopBranch (Space &home)
| A branching that stops exploration.
int | Gecode::Gist::explore (Space *root, bool bab, const Options &opt)
| Create a new stand-alone Gist for root using bab.
int | Gecode::Gist::dfs (Space *root, const Gist::Options &opt=Gist::Options::def)
| Create a new stand-alone Gist for root.
int | Gecode::Gist::bab (Space *root, const Gist::Options &opt=Gist::Options::def)
| Create a new stand-alone Gist for branch-and-bound search of root.

## Macro Definition Documentation

## GECODE_GIST_EXPORT

#define GECODE_GIST_EXPORT

Definition at line 65 of file gist.hh.

## GECODE_LIBRARY_NAME

#define GECODE_LIBRARY_NAME "Gist"

Definition at line 72 of file gist.hh.